import axios from "@/utils/request";

export function devicePlanPage(query) {
    return axios(
        {
            url: "/udi/device/plan/page",
            method: "POST",
            data: query
        }
    )
}

export function devicePlanSave(query) {
    return axios(
        {
            url: "/udi/device/plan/save",
            method: "POST",
            data: query
        }
    )
}

export function devicePlanInfo(planId) {
    return axios(
        {
            url: `/udi/device/plan/info/${planId}`,
            method: "GET"
        }
    )
}

export function devicePlanDel(planId) {
    return axios(
        {
            url: `/udi/device/plan/del/${planId}`,
            method: "DELETE"
        }
    )
}

